Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface Metadata

All Known Subinterfaces:
  ArrayMetadata, ClassMetadata, CollectionMetadata, ColumnMetadata, DatastoreIdentityMetadata, DiscriminatorMetadata, ElementMetadata, EmbeddedMetadata, FetchGroupMetadata, FetchPlanMetadata, FieldMetadata, ForeignKeyMetadata, IndexMetadata, InheritanceMetadata, InterfaceMetadata, JDOMetadata, JoinMetadata, KeyMetadata, MapMetadata, MemberMetadata, OrderMetadata, PackageMetadata, PrimaryKeyMetadata, PropertyMetadata, QueryMetadata, SequenceMetadata, TypeMetadata, UniqueMetadata, ValueMetadata, VersionMetadata

    public interface Metadata

This interface provides base level definitions for all metadata components.

Version:
  3.0

Method Summary
`ExtensionMetadata[]` | `getExtensions()` Accessor for the defined extensions for this component
`int` | `getNumberOfExtensions()` Number of extensions on this component.
`Metadata` | `getParent()` Accessor for the parent metadata component.
`ExtensionMetadata` | `newExtensionMetadata(java.lang.String vendor, java.lang.String key, java.lang.String value)` Add a vendor extension to this metadata component.

Method Detail

### newExtensionMetadata

    ExtensionMetadata newExtensionMetadata(java.lang.String vendor,
                                           java.lang.String key,
                                           java.lang.String value)

  Add a vendor extension to this metadata component.

  Parameters:
    `vendor` - Identifier for the vendor
    `key` - The extension key
    `value` - Value for the extension
  Returns:
    The ExtensionMetadata

### getNumberOfExtensions

    int getNumberOfExtensions()

  Number of extensions on this component.

  Returns:
    Number of extensions

### getExtensions

    ExtensionMetadata[] getExtensions()

  Accessor for the defined extensions for this component

  Returns:
    The extensions

### getParent

    Metadata getParent()

  Accessor for the parent metadata component.

  Returns:
    The parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.